【风险提示】天融信关于Apache Struts2 S2-059远程代码执行漏洞风险提示

  • A+
所属分类:安全文章 安全漏洞

【风险提示】天融信关于Apache Struts2  S2-059远程代码执行漏洞风险提示

0x00背景介绍



8月13日,天融信阿尔法实验室监测到Apache官方发布了Struts2安全公告, 披露 S2-059远程代码执行漏洞和S2-060拒绝服务漏洞。


0x01漏洞描述



Apache Struts2框架是一个用于开发Java EE网络应用程序的Web框架。

S2-059 Struts2 远程代码执行漏洞(CVE-2019-0230),攻击者可以通过构造恶意的OGNL表达式,并将其设置到可被外部输入进行修改,且会执行OGNL表达式的Struts2标签的属性值,引发OGNL表达式解析,最终造成远程代码执行的效果。

S2-060 Struts2 拒绝服务漏洞(CVE-2019-0233

),攻击者可以通过上传文件功能,成功上传文件后在执行上传文件时,访问权限覆盖会导致拒绝服务。


0x02漏洞编号



S2-059(CVE-2019-0230)

S2-060  (CVE-2019-0233)


0x03漏洞等级



高危


0x04受影响版本



Apache Struts 2.0.0 - 2.5.20


0x05修复建议


升级到Apache Struts 2.5.22或更高版本


0x06支持热线



天融信公司后续将积极为用户提供技术支持,进行持续跟踪并及时通报进展,如有需要请拨打7 x 24小时客服联系电话:400-777-0777。


0x07声明



天融信阿尔法实验室拥有对此公告的修改和解释权,如欲转载,必须保证此公告的完整性。由于传播、利用此公告而造成的任何后果,均由使用者本人负责,天融信阿尔法实验室不为此承担任何责任。

天融信阿尔法实验室成立于2011年,一直以来,阿尔法实验室秉承“攻防一体”的理念,汇聚众多专业技术研究人员,从事攻防技术研究,在安全领域前瞻性技术研究方向上不断前行。作为天融信的安全产品和服务支撑团队,阿尔法实验室精湛的专业技术水平、丰富的排异经验,为天融信产品的研发和升级、承担国家重大安全项目和客户服务提供强有力的技术支撑。

【风险提示】天融信关于Apache Struts2  S2-059远程代码执行漏洞风险提示
【风险提示】天融信关于Apache Struts2  S2-059远程代码执行漏洞风险提示

天融信

阿尔法实验室

长按二维码关注我们


发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: